SET SQL_MODE="NO_AUTO_VALUE_ON_ZERO";

CREATE TABLE IF NOT EXISTS `wcg_grundwerte` (
  `wcg_name` varchar(50) NOT NULL,
  `reg_date` varchar(20) NOT NULL,
  `last_result` varchar(20) NOT NULL,
  `verification_key` varchar(32) NOT NULL,
  `url` varchar(50) NOT NULL,
  PRIMARY KEY  (`wcg_name`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;
INSERT INTO `wcg_grundwerte` (`wcg_name`, `reg_date`, `last_result`, `verification_key`, `url`) VALUES
('YOUR_WCG_NAME', 'after next cronjob', 'after next cronjob', 'YOUR_VERIFICATION_KEY', 'https://secure.worldcommunitygrid.org/');

CREATE TABLE IF NOT EXISTS `wcg_badges` (
  `project_fullname` varchar(100) NOT NULL,
  `badge` varchar(100) NOT NULL,
  `description` varchar(150) NOT NULL,
  UNIQUE KEY `project_fullname` (`project_fullname`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

CREATE TABLE IF NOT EXISTS `wcg_projects` (
  `project_shortname` varchar(10) NOT NULL,
  `project_fullname` varchar(50) NOT NULL,
  `project_badge` varchar(100) NOT NULL,
  `project_badge_description` varchar(100) NOT NULL,
  PRIMARY KEY  (`project_shortname`),
  UNIQUE KEY `project_fullname` (`project_fullname`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

CREATE TABLE IF NOT EXISTS `wcg_projects_sicherung_aller` (
  `project_shortname` varchar(10) NOT NULL,
  `project_fullname` varchar(50) NOT NULL,
  `project_badge` varchar(100) NOT NULL,
  `project_badge_description` varchar(100) NOT NULL,
  PRIMARY KEY  (`project_shortname`),
  UNIQUE KEY `project_fullname` (`project_fullname`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

CREATE TABLE IF NOT EXISTS `wcg_projects_werte_day` (
  `project_shortname` varchar(10) NOT NULL,
  `time_stamp` datetime NOT NULL,
  `points` bigint(50) NOT NULL,
  `results` bigint(50) NOT NULL,
  `runtime` bigint(50) NOT NULL,
  `runtime_12h` bigint(50) NOT NULL,
  `points_12h` bigint(50) NOT NULL,
  `results_12h` bigint(50) NOT NULL
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

CREATE TABLE IF NOT EXISTS `wcg_project_werte` (
  `time_stamp` datetime NOT NULL,
  `project_shortname` varchar(10) NOT NULL,
  `runtime` bigint(50) NOT NULL,
  `points` bigint(50) NOT NULL,
  `results` bigint(50) NOT NULL,
  KEY `time_stamp` (`time_stamp`),
  KEY `project_shortname` (`project_shortname`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

CREATE TABLE IF NOT EXISTS `wcg_team` (
  `team_name` varchar(80) NOT NULL,
  `team_joindate` varchar(50) NOT NULL,
  `team_runtime` bigint(50) NOT NULL,
  `team_results` bigint(50) NOT NULL,
  `team_points` bigint(50) NOT NULL,
  PRIMARY KEY  (`team_name`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

CREATE TABLE IF NOT EXISTS `wcg_total_werte` (
  `time_stamp` datetime NOT NULL,
  `runtime` bigint(50) NOT NULL,
  `runtime_rank` bigint(50) NOT NULL,
  `points` bigint(50) NOT NULL,
  `points_rank` bigint(50) NOT NULL,
  `results` bigint(50) NOT NULL,
  `results_rank` bigint(50) NOT NULL
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

CREATE TABLE IF NOT EXISTS `wcg_total_werte_day` (
  `time_stamp` datetime NOT NULL,
  `points` bigint(50) NOT NULL,
  `results` bigint(50) NOT NULL,
  `runtime` bigint(50) NOT NULL,
  `project` varchar(10) NOT NULL,
  `points_12h` bigint(50) NOT NULL,
  `results_12h` bigint(50) NOT NULL,
  `runtime_12h` bigint(50) NOT NULL,
  KEY `time_stamp` (`time_stamp`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;
